Bug 232279 - games/mrboom: fix build with GCC-based architectures
Summary: games/mrboom: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-15 12:06 UTC by Piotr Kubaj
Modified: 2018-10-22 09:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ehaupt)


Attachments
patch (334 bytes, patch)
2018-10-15 12:06 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-15 12:06:24 UTC
Created attachment 198171 [details]
patch

USES=compiler:c++11-lang is necessary to build this port on architectures where GCC 4.2 is present in base.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Emanuel Haupt freebsd_committer 2018-10-17 06:42:03 UTC
At the moment I have no possibility to test this on powerpc64. Could you please show me a (preferably poudriere) build log of the failure?
Comment 2 commit-hook freebsd_committer 2018-10-22 09:01:26 UTC
A commit references this bug:

Author: ehaupt
Date: Mon Oct 22 09:00:42 UTC 2018
New revision: 482737
URL: https://svnweb.freebsd.org/changeset/ports/482737

Log:
  USES=compiler:c++11-lang is necessary to build this port on architectures where
  GCC 4.2 is present in base.

  PR:		232279
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  MFH:		2018Q4 (blanket)

Changes:
  head/games/mrboom/Makefile
Comment 3 commit-hook freebsd_committer 2018-10-22 09:02:29 UTC
A commit references this bug:

Author: ehaupt
Date: Mon Oct 22 09:02:01 UTC 2018
New revision: 482739
URL: https://svnweb.freebsd.org/changeset/ports/482739

Log:
  MFH: r482737

  USES=compiler:c++11-lang is necessary to build this port on architectures where
  GCC 4.2 is present in base.

  PR:		232279
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/games/mrboom/Makefile
Comment 4 Emanuel Haupt freebsd_committer 2018-10-22 09:04:01 UTC
Committed and merged to quarterly, thanks!